using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            string niska = Console.ReadLine();
            int i, j = 0, s = 0, l = 0, pomocnibrojac = 1;
            int zbir = 0;
            char sredisnjikarakter = 'A';
            char[] palindrom = new char[niska.Length];
            char[] c = new char[niska.Length];
            for (i = 0; i < niska.Length; i++)
            {
                c[i] = niska[i];
            }
            Array.Sort(c);

            for (i = 1; i < niska.Length; i++)
            {
                if (c[i - 1] == c[i])
                {
                    pomocnibrojac++;

                }
                else
                {
                    if (pomocnibrojac % 2 == 1)
                    {
                        
                        sredisnjikarakter = c[i];
                        c[i] = '\0';
                    }

                    pomocnibrojac = 0;

                }

            }

            int n = niska.Length - 1;
            j = 0;
            for (i = 0; i < niska.Length; i++)
            {
                if ((i != 0 && niska.Length / i == 2))
                {
                    palindrom[i] = sredisnjikarakter;
                }
                else
                {
                    if (j % 2 == 0)
                        palindrom[i] = c[j];
                    else
                        palindrom[i] = c[n - i];
                    j++;
                }


            }
            zbir = 0;
            int zbir2 = 0;
            for (i = 0; i < niska.Length; i++)
            {
                if (niska[i] != palindrom[i] && zbir == 0)
                    zbir = i;
                if (niska[i] != palindrom[i])
                    zbir2 = i;
            }
            int konacnizbir = zbir2 - zbir + 1;
            
                Console.WriteLine(konacnizbir);
  

        }
    }
}